Bug 95310 - Application menu items to start with temporary or new user profile
Summary: Application menu items to start with temporary or new user profile
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: User-Profile
  Show dependency treegraph
 
Reported: 2015-10-24 22:56 UTC by MM
Modified: 2017-05-04 17:06 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description MM 2015-10-24 22:56:46 UTC
We see a lot of bugs of which the first answer is: 'rename the user profile'.
This is not user friendly. All the tech ppl here know what to do, but for new users/noobs/etc it's not. Well, this should/could be a little easier.
On browsers you see now the option 'restart with add-ons disabled' or even safe mode. Why shouldn't we have an option, from the menu, that restarts LO and bypasses (read: not reads) the user profile. So it basically starts (1 time) with the default mode, as if you would have renamed the user profile.
Comment 1 tommy27 2015-10-25 06:57:10 UTC
I understand the rationale of this.
status NEW
Comment 2 m.a.riosv 2015-10-25 23:18:01 UTC
I think this is a duplicate of 64439 " Add "Backup & Reset Profile" Button to Advanced Options"

Please if you are not agree, reopen it.

*** This bug has been marked as a duplicate of bug 64439 ***
Comment 3 MM 2015-10-26 00:40:55 UTC
Sorry, I don't agree....
Bug 64439 is about backing up, restoring and clearing a profile, as said:

>1. Backup - It would zip the current profile
>2. Restore - It would restore a profile from an existing zip
>3. Reset - It would clear the current profile

My suggestion is to *bypass* the user profile (ie. not reading it) and to make use of the original, -as if- you've cleared a profile. Only just one time, so the user can test if something is working or not and report back.

I don't know how the internal works, but to me it can be quite simple (but who am i so say).

Something like:

menuitem send > upreset=1;

if (upreset==0)
{
 readuserprof();
}
else
{
 readorgprof();
 upreset=0;
}
endif

Let me know what you think.
Comment 4 V Stuart Foote 2016-02-05 19:17:13 UTC
So looking at bug 64439, this could also be useful. 

But, we would have to decide what to do with any documents or profile configuration changes made when launched this way.

Currently if we were to bypass the profile--everything would be written into the existing profile.

Would intent be to work from a temp directory, or would this launch be allowed to overwrite/clobber things in the existing profile?

Kind of feel this should be worked in conjunction with anything done for bug 64439.
Comment 5 MM 2016-02-05 19:33:03 UTC
(In reply to V Stuart Foote from comment #4)
 
> Currently if we were to bypass the profile--everything would be written into
> the existing profile.
> 
> Would intent be to work from a temp directory, or would this launch be
> allowed to overwrite/clobber things in the existing profile?
> 

Well, the idea is to load the config as if you *would* have made a new profile. Only, LO shouldn't copy the data. And maybe writing the config should be disabled, as it is only for testing a possible buggy file or config just once.
Comment 6 Yousuf Philips (jay) (retired) 2016-02-08 12:41:54 UTC
Definitely a useful feature and one that i had thought about suggesting. Being able to test whether a bug is available with a new user profile without having to rename the current profile, test, and then rename it back would be quite useful for QA.

On a different note, I have reported a number of bugs where the corrupted user profile would stop me from opening LibreOffice, so having a menu item resetting the user profile would be extremely useful to regular end users.

I would assume the activation of both these options would be accessible by commandline switches, similar to the below.

`$ ./soffice --temp-profile`
`$ ./soffice --new-profile`
Comment 7 m.a.riosv 2016-02-09 01:58:22 UTC
Usually it's enough renaming/deleting the file "user/registrymodifications.xcu",  it affects all the options in Menu/Tools/Options, and the files "user/basic/dialog.xlc" and "scrip.xlc" are overwritten, additionally custom colors in "user/config/standard.soc" are lost.

https://bugs.documentfoundation.org/show_bug.cgi?id=51267
Comment 8 Yousuf Philips (jay) (retired) 2016-02-09 13:11:31 UTC
(In reply to m.a.riosv from comment #7)
> Usually it's enough renaming/deleting the file
> "user/registrymodifications.xcu",  it affects all the options in
> Menu/Tools/Options, and the files "user/basic/dialog.xlc" and "scrip.xlc"
> are overwritten, additionally custom colors in "user/config/standard.soc"
> are lost.

Yes alot of the time, renaming/deleting the "user/registrymodifications.xcu" file would be enough, but if a user stumbles on stuff like i did in bug 90981, that wouldnt be enough.

Ideally there should be a recovery mode, where it parses through the registrymodifications.xcu file to retain useful stuff (e.g. recently used files list) and verifies that all other files not missing or corrupted.

But having a brand new user profile will benefit when you want clean slate on all the toolbars, menu bars, etc that dont reside in registrymodifications.xcu.
Comment 9 m.a.riosv 2016-02-09 14:40:32 UTC
(In reply to Yousuf (Jay) Philips from comment #8)

If there is not a tool to verify the .xcu, seems difficult to know what recover and what not, specially with a so large quantity of options, not all visible except in expert mode.

I think the way it's having a scheme-list of stuffs to re-init with levels, like in the options to install, with only those that usually have issues selected by default.

We can't forget that some folders like the backup can have a lot of files, and seems difficult it can be the source of an issue.

OTOH when there is a simplification on how to do, we all have the tendency to forget what happens behind.
Comment 10 Samuel Mehrbrodt (allotropia) 2016-12-07 13:25:59 UTC
This is fixed with the safe mode introduced in 5.3: https://wiki.documentfoundation.org/ReleaseNotes/5.3#Safe_Mode